//........................................................
// crc8Check()
// Wert des Frequenz-Inkrements auf dem Display anzeigen
// Parameter:
// Input: data (Adresse Byte-Feld), len (Laenge Byte-Feld)
// Output: CRC-Checksumme
// Calls: -
// Stand: 03.10.2015
//........................................................  

// Found on http://www.leonardomiliani.com/en/2013/un-semplice-crc8-per-arduino/
//CRC-8 - based on the CRC8 formulas by Dallas/Maxim
//code released under the terms of the GNU GPL 3.0 license
 
byte crcCheck(const byte *data, byte len)
{
  byte crc = 0x00;
  while (len--) 
  {
    byte extract = *data++;
    for (byte tempI = 8; tempI; tempI--) 
    {
      byte sum = (crc ^ extract) & 0x01;
      crc >>= 1;
      if (sum) 
      {
        crc ^= 0x8C;
      }
      extract >>= 1;
    }
  }
  return crc;
}
