//........................................................
// initFreConfig()
// Konfiguration Frequenzeinstellung initialisieren 
// (Startfreq., Inkrement) 
// Parameter:
// Input: global EE_Ablage lesend
// Output: fre_frequenz, fre_frequenz, dre_StateIncr
// Calls: lcd.*(), loadEEconfig()
// Stand: 03.10.2015
//........................................................
 
void initFreConfig()
{
  lcd.clear();         // Anzeige loeschen
  lcd.setCursor(6,1);  // Beschriftung Konfiguration in EE-Feld
  lcd.print("EE");
  
  // Startwerte aus EEPROM laden
  
  // Startwerte übernehmen wenn Eintrag gültig ist
  if(loadEEconfig() == HIGH)
  {
    // Wenn gueltige Ablage vorliegt, dann Startwerte laden
    fre_frequenz = EE_Ablage.f;
    dre_StateIncr = EE_Ablage.s;
    fre_deltaF = fre_increm[dre_StateIncr];
    lcd.write(0xD0); // Ausgabe Symbol Ablage OK "3Zeilen"
  }

  else
  {
    //Konfiguration ungueltig, Standardwerte aus Konstanten nehmen
    fre_frequenz = FRE_START;
    dre_StateIncr = FRE_INCREM_C;
    fre_deltaF = fre_increm[dre_StateIncr];

    lcd.write(0xB0); // Ausgabe Symbol Strich
  }
}
