//........................................................
// loadEEconfig() 
// Laden der EE_Ablage aus dem EEPROM
// Parameter:
// Input: global EE_Ablage lesend
// Output: Daten gueltig / ungueltig
// Calls: EEPROM.read(), crcCheck()
//........................................................

boolean loadEEconfig() 
{
  byte loadCRCl;
  //Uebertragung der Bytes aus dem EEPROM in die RAM-EE_Ablage
  for (unsigned int t=0; t<sizeof(EE_Ablage); t++)
    *((char*)&EE_Ablage + t) = EEPROM.read(EE_KONFIG_START + t);
  //Ueberpruefung des CRC-Eintrags auf Korrektheit
  loadCRCl = crcCheck((byte*)&EE_Ablage,8);
  if(loadCRCl == EE_Ablage.check)
  {
  //Daten sind gueltig
  return HIGH;
  }
  else
  {
  //Daten sind ungueltug
  return LOW;
  }
}
